## class DragColumnCmd : public DragCmd

> drag (resize) column in table command.

## Inheritance:

### Public Methods

  | DragColumnCmd (Table *t, TableViewer *v, LinePiece *l)
  void | Execute ()
  void | UnExecute ()
  const char* | GetName () const

### Inherited from DragCmd:

### Public Methods

void TrackMouse(TrackType, Point*, Point*, Point*)

### Protected Methods

TableViewer* GetTableViewer() const
Point* GetOldPosition()
void SetOldPosition(const Point *p)
Point* GetDelta()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> drag (resize) column in table command.

`DragColumnCmd(Table *t, TableViewer *v, LinePiece *l)`

`void Execute()`

`void UnExecute()`

`const char* GetName() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de